/*
 * Copyright 2010 Trustees of the University of Pennsylvania Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
import groovy.xml.NamespaceBuilder
/**
 * Created by IntelliJ IDEA.
 * User: tbarker
 * Date: 8/8/11
 * Time: 11:50 AM
 *
 * helpful script to create an ivy report
 */

def ant = new AntBuilder()
def ivyfile = 'ivy.xml' // default file used by Ivy
ant.delete(file:ivyfile, quiet:true)

new File(ivyfile).withWriter { writer ->
    def builder = new groovy.xml.MarkupBuilder(writer)
    builder.'ivy-module'(version:'1.0') {
        info(organisation:"upenn", module:"metridoc")
        dependencies {
            dependency(org:'com.googlecode.metridoc', name:'metridoc-all', rev:'0.13-SNAPSHOT')
        }
    }
}
def home = System.getProperty("user.home")
def ivy = NamespaceBuilder.newInstance(ant, 'antlib:org.apache.ivy.ant')
ivy.settings(file: "${home}/.groovy/grapeConfig.xml")
ivy.resolve()
ivy.report(toDir:'target/reports') // optional